function  varargout=demo27(MshFileVersion)
  if nargin==0,MshFileVersion='4.1';end
  assert( ismember(MshFileVersion,{'4.0','4.1'}) )
  fprintf('--------------- demo27\n')
  fprintf('2D meshing using ''MshFileVersion''=''%s''(default)\n',MshFileVersion)
  fprintf('---------------\n')
  geofile='condenser';
  fprintf('1. Building a mesh file by using :\n')
  fprintf('   -> gmsh version %s\n',fc_oogmsh.gmsh.version())
  fprintf('   -> geo file : %s\n',geofile);
  meshfile=fc_oogmsh.gmsh.buildmesh2d(geofile,10,'verbose',4,'force',true,'strings',{'Mesh.RecombineAll=1;'},'MshFileVersion',MshFileVersion);
  fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
  fprintf('2. Reading mesh file\n')
  Gh=fc_oogmsh.ooGmsh4(meshfile)
  if nargout==1,varargout{1}=Gh;end
end
